Index: /branches/version-2_5-dev/html/install/templates/install_frame.tpl
===================================================================
--- /branches/version-2_5-dev/html/install/templates/install_frame.tpl	(revision 18700)
+++ /branches/version-2_5-dev/html/install/templates/install_frame.tpl	(revision 18799)
@@ -126,5 +126,5 @@
     </tr>
     <tr>
-        <td colspan="3"><img src="../<!--{$default_dir}-->img/common/fotter.jpg" width="912" height="19" alt=""></td>
+        <td colspan="3"><img src="../<!--{$default_dir}-->img/common/footer.jpg" width="912" height="19" alt=""></td>
     </tr>
     <tr><td height="10"></td></tr>
Index: /branches/version-2_5-dev/html/user_data/packages/default/css/main.css
===================================================================
--- /branches/version-2_5-dev/html/user_data/packages/default/css/main.css	(revision 18623)
+++ /branches/version-2_5-dev/html/user_data/packages/default/css/main.css	(revision 18799)
@@ -521,5 +521,5 @@
 }
 
-#fotter {
+#footer {
     margin: 0 auto;
     padding: 15px 8px;
Index: /branches/version-2_5-dev/data/Smarty/templates/default/campaign/end/footer.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/campaign/end/footer.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/campaign/end/footer.tpl	(revision 18799)
@@ -23,5 +23,5 @@
 </div>
 <div id="pagetop"><a href="#top"><img src="<!--{$TPL_DIR}-->img/common/pagetop.gif" width="100" height="10" alt="このページのTOPへ" /></a></div>
-<div id="fotter">Copyright(C)2000-2010 EC-CUBE All rights reserved.</div>
+<div id="footer">Copyright(C)2000-2010 EC-CUBE All rights reserved.</div>
 </body>
 </html>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/campaign/active/footer.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/campaign/active/footer.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/campaign/active/footer.tpl	(revision 18799)
@@ -23,5 +23,5 @@
 </div>
 <div id="pagetop"><a href="#top"><img src="<!--{$TPL_DIR}-->img/common/pagetop.gif" width="100" height="10" alt="このページのTOPへ" /></a></div>
-<div id="fotter">Copyright(C)2000-2010 EC-CUBE All rights reserved.</div>
+<div id="footer">Copyright(C)2000-2010 EC-CUBE All rights reserved.</div>
 </body>
 </html>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/footer.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/footer.tpl	(revision 18785)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/footer.tpl	(revision 18799)
@@ -20,10 +20,10 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<!--▼FOTTER-->
+<!--▼FOOTER-->
 <div id="pagetop" style="clear: both;"><a href="#top"><img src="<!--{$TPL_DIR}-->img/common/pagetop.gif" width="100" height="10" alt="このページのTOPへ" /></a></div>
-<div id="fotter">Copyright&copy;
+<div id="footer">Copyright&copy;
 <!--{if $smarty.const.RELEASE_YEAR !=  $smarty.now|date_format:"%Y"}-->
     <!--{$smarty.const.RELEASE_YEAR}-->-
 <!--{/if}-->
 <!--{$smarty.now|date_format:"%Y"}--> <!--{$arrSiteInfo.shop_name_eng|escape}--> All rights reserved.</div>
-<!--▲FOTTER-->
+<!--▲FOOTER-->
Index: /branches/version-2_5-dev/data/Smarty/templates/default/site_main.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/site_main.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/site_main.tpl	(revision 18799)
@@ -184,9 +184,9 @@
     <!--{* ▲CONTENTS *}-->
 
-    <!--{* ▼FOTTER *}-->
+    <!--{* ▼FOOTER *}-->
     <!--{if $arrPageLayout.footer_chk != 2}-->
         <!--{include file=$footer_tpl}-->
     <!--{/if}-->
-    <!--{* ▲FOTTER *}-->
+    <!--{* ▲FOOTER *}-->
     <!--{* ▼FooterBottom COLUMN*}-->
     <!--{if $arrPageLayout.FooterBottomNavi|@count > 0}-->