Index: anches/version-2_5-dev/html/admin/contents/campaign.php
===================================================================
--- /branches/version-2_5-dev/html/admin/contents/campaign.php	(revision 18701)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once '../require.php';
-require_once CLASS_EX_PATH . 'page_extends/admin/contents/LC_Page_Admin_Contents_Campaign_Ex.php';
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Contents_Campaign_Ex();
-register_shutdown_function(array($objPage, 'destroy'));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2_5-dev/html/admin/contents/inquiry.php
===================================================================
--- /branches/version-2_5-dev/html/admin/contents/inquiry.php	(revision 18701)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once '../require.php';
-require_once CLASS_EX_PATH . 'page_extends/admin/contents/LC_Page_Admin_Contents_Inquiry_Ex.php';
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Contents_Inquiry_Ex();
-register_shutdown_function(array($objPage, 'destroy'));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2_5-dev/html/admin/contents/campaign_create_tag.php
===================================================================
--- /branches/version-2_5-dev/html/admin/contents/campaign_create_tag.php	(revision 18701)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once '../require.php';
-require_once CLASS_EX_PATH . 'page_extends/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag_Ex.php';
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Contents_CampaignCreateTag_Ex();
-register_shutdown_function(array($objPage, 'destroy'));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_CampaignDesign_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_CampaignDesign_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php");
-
-/**
- * キャンペーンデザイン のページクラス(拡張).
- *
- * LC_Page_Admin_Contents_CampaignDesign をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Contents_CampaignDesign_Ex extends LC_Page_Admin_Contents_CampaignDesign {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php");
-
-/**
- * キャンペーンタグ生成 のページクラス(拡張).
- *
- * LC_Page_Admin_Contents_CampaignCreateTag をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Contents_CampaignCreateTag_Ex extends LC_Page_Admin_Contents_CampaignCreateTag {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_Campaign_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_Campaign_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/contents/LC_Page_Admin_Contents_Campaign.php");
-
-/**
- * キャンペーン管理 のページクラス(拡張).
- *
- * LC_Page_Admin_Contents_Campaign をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Contents_Campaign_Ex extends LC_Page_Admin_Contents_Campaign {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_Inquiry_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_Inquiry_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php");
-
-/**
- * アンケート管理 のページクラス(拡張).
- *
- * LC_Page_Admin_Contents_Inquiry をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Contents_Inquiry_Ex extends LC_Page_Admin_Contents_Inquiry {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_CampaignPreview_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/contents/LC_Page_Admin_Contents_CampaignPreview_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php");
-
-/**
- * キャンペーンタグ生成 のページクラス(拡張).
- *
- * LC_Page_Admin_Contents_CampaignPreview をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Contents_CampaignPreview_Ex extends LC_Page_Admin_Contents_CampaignPreview {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/admin/design/LC_Page_Admin_Design_Upload_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/design/LC_Page_Admin_Design_Upload_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/design/LC_Page_Admin_Design_Upload.php");
-
-/**
- * テンプレートアップロード のページクラス(拡張).
- *
- * LC_Page_Admin_Design_Upload をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Design_Upload_Ex extends LC_Page_Admin_Design_Upload {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/guide/LC_Page_Guide_Change_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/guide/LC_Page_Guide_Change_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/guide/LC_Page_Guide_About.php");
-
-/**
- * 店舗案内 のページクラス(拡張).
- *
- * LC_Page_Guide_About をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Guide_About_Ex extends LC_Page_Guide_About {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2_5-dev/data/class_extends/page_extends/LC_Page_Mobile_Redirect_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/LC_Page_Mobile_Redirect_Ex.php	(revision 18701)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/mobile/LC_Page_Mobile_Redirect.php");
-
-/**
- * モバイルページ/リダイレクト のページクラス(拡張).
- *
- * LC_Page_Mobile_Redirect をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Mobile_Redirect_Ex extends LC_Page_Mobile_Redirect {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>