Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 18827)
@@ -65,9 +65,10 @@
         for($num = 0; $num < count($arrDisp); $num++) {
             $product_id = $arrDisp[$num]['product_id'];
+            $product_class_id = $arrDisp[$num]['product_class_id'];
             $cate_id1 = $arrDisp[$num]['classcategory_id1'];
             $cate_id2 = $arrDisp[$num]['classcategory_id2'];
             $quantity = $arrDisp[$num]['quantity'];
 
-            $objCartSess->addProduct(array($product_id, $cate_id1, $cate_id2), $quantity);
+            $objCartSess->addProduct(array($product_id, $product_class_id, $cate_id1, $cate_id2), $quantity);
         }
         $this->sendRedirect($this->getLocation(URL_CART_TOP));
@@ -102,9 +103,10 @@
         for($num = 0; $num < count($arrDisp); $num++) {
             $product_id = $arrDisp[$num]['product_id'];
+            $product_class_id = $arrDisp[$num]['product_class_id'];
             $cate_id1 = $arrDisp[$num]['classcategory_id1'];
             $cate_id2 = $arrDisp[$num]['classcategory_id2'];
             $quantity = $arrDisp[$num]['quantity'];
 
-            $objCartSess->addProduct(array($product_id, $cate_id1, $cate_id2), $quantity);
+            $objCartSess->addProduct(array($product_id, $product_class_id, $cate_id1, $cate_id2), $quantity);
         }
         $this->sendRedirect($this->getLocation(MOBILE_URL_CART_TOP), true);
@@ -128,11 +130,11 @@
         $order_count = $objQuery->count("dtb_order", "order_id = ? and customer_id = ?", array($order_id, $customer_id));
         if ($order_count != 1) return array();
-        $col = "product_id, classcategory_id1, classcategory_id2, quantity";
+        $col = "product_id, product_class_id, quantity";
         $where = "order_id = ?";
-        $objQuery->setOrder("classcategory_id1, classcategory_id2");
+        $objQuery->setOrder("product_class_id");
         $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
         return $arrRet;
     }
-    
+
 }
 ?>
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18824)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 18827)
@@ -228,9 +228,8 @@
         $col .= ",CASE WHEN EXISTS(SELECT * FROM dtb_products WHERE product_id = od.product_id AND del_flg = 0 AND status = 1) THEN '1' ELSE '0' END AS enable";
         $col .= ",o.status AS status, pc.down AS down, o.payment_date AS payment_date, od.product_class_id as product_class_id, ";
-        $col .= $dbFactory->getDownloadableDaysWhereSql("o");
+        $col .= $dbFactory->getDownloadableDaysWhereSql();
         $col .= " AS effective";
-
         $where = "p.product_id = od.product_id AND pc.product_id = od.product_id AND pc.product_class_id = od.product_class_id AND od.order_id = o.order_id AND od.order_id = ?";
-        $arrRet = $objQuery->select($col, "dtb_products p, dtb_products_class pc, dtb_order_detail od, dtb_order o", $where);
+        $arrRet = $objQuery->select($col, "dtb_products p, dtb_products_class pc, dtb_order_detail od, dtb_order o", $where,array($orderId));
         return $arrRet;
     }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18824)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18827)
@@ -140,5 +140,5 @@
     function lfGetOrderDetail($order_id) {
         $objQuery = new SC_Query();
-        $col = "product_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
+        $col = "product_id, product_class_id, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
         $where = "order_id = ?";
         $objQuery->setOrder("product_class_id");
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 18819)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 18827)
@@ -63,5 +63,5 @@
                     <!--{ if $orderDetail.down == "2"}-->
                         <!--{ if $orderDetail.price == "0" || ( $orderDetail.status >= "4" && $orderDetail.effective == "1" )}-->
-                            <a target="_self" href="<!--{$smarty.const.URL_DIR}-->mypage/download.php?order_id=<!--{$arrDisp.order_id}-->&product_id=<!--{$orderDetail.product_id}-->&classcategory_id1=<!--{$orderDetail.classcategory_id1}-->&classcategory_id2=<!--{$orderDetail.classcategory_id2}-->">ダウンロード</a>
+                            <a target="_self" href="<!--{$smarty.const.URL_DIR}-->mypage/download.php?order_id=<!--{$arrDisp.order_id}-->&product_id=<!--{$orderDetail.product_id}-->&product_class_id=<!--{$orderDetail.product_class_id}-->">ダウンロード</a>
                         <!--{ elseif $orderDetail.payment_date == "" || $orderDetail.status < "4"}-->
                             ダウンロード商品<BR />（入金確認中）