Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19662)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19663)
@@ -744,4 +744,5 @@
 INSERT INTO mtb_target (id, name, rank) VALUES (8, 'HeaderTopNavi', 8);
 INSERT INTO mtb_target (id, name, rank) VALUES (9, 'FooterBottomNavi', 9);
+INSERT INTO mtb_target (id, name, rank) VALUES (10, 'HeaderInternalNavi', 10);
 
 INSERT INTO mtb_taxrule (id, name, rank) VALUES (1, '四捨五入', 0);
Index: /branches/version-2_5-dev/html/user_data/packages/default/js/layout_design.js
===================================================================
--- /branches/version-2_5-dev/html/user_data/packages/default/js/layout_design.js	(revision 18701)
+++ /branches/version-2_5-dev/html/user_data/packages/default/js/layout_design.js	(revision 19663)
@@ -39,5 +39,5 @@
     
     $(document).ready(function(){
-        var els = ['#MainHead', '#MainFoot', '#LeftNavi', '#RightNavi', '#TopNavi', '#BottomNavi', '#HeadNavi', '#HeaderTopNavi', '#FooterBottomNavi', '#Unused'];
+        var els = ['#MainHead', '#MainFoot', '#LeftNavi', '#RightNavi', '#TopNavi', '#BottomNavi', '#HeadNavi', '#HeaderTopNavi', '#FooterBottomNavi', '#HeaderInternalNavi', '#Unused'];
         var $els = $(els.toString());
         
Index: /branches/version-2_5-dev/html/user_data/packages/admin/css/admin_contents.css
===================================================================
--- /branches/version-2_5-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 18900)
+++ /branches/version-2_5-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 19663)
@@ -392,4 +392,5 @@
 .design-layout #BottomNavi,
 .design-layout #FooterBottomNavi,
+.design-layout #HeaderInternalNavi,
 .design-layout #Unused {
     padding-bottom: 20px;
@@ -412,5 +413,7 @@
     height: 20px;
 }
-
+#layout-header {
+    vertical-align: middle;
+}
 
 /* フォーム
Index: /branches/version-2_5-dev/data/Smarty/templates/default/header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/header.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/header.tpl	(revision 19663)
@@ -26,4 +26,21 @@
       <em><!--{$arrSiteInfo.shop_name|escape}-->/<!--{$tpl_title|escape}--></em></a>
   </h1>
+  <!--{* ▼HeaderInternal COLUMN*}-->
+  <!--{if $arrPageLayout.HeaderInternalNavi|@count > 0}-->
+      <div id="headerinternalcolumn">
+          <!--{* ▼上ナビ *}-->
+          <!--{foreach key=HeaderInternalNaviKey item=HeaderInternalNaviItem from=$arrPageLayout.HeaderInternalNavi}-->
+            <!-- ▼<!--{$HeaderInternalNaviItem.bloc_name}--> -->
+            <!--{if $HeaderInternalNaviItem.php_path != ""}-->
+              <!--{include_php file=$HeaderInternalNaviItem.php_path}-->
+            <!--{else}-->
+              <!--{include file=$HeaderInternalNaviItem.tpl_path}-->
+            <!--{/if}-->
+            <!-- ▲<!--{$HeaderInternalNaviItem.bloc_name}--> -->
+          <!--{/foreach}-->
+          <!--{* ▲上ナビ *}-->
+      </div>
+  <!--{/if}-->
+  <!--{* ▲HeaderInternal COLUMN*}-->
   <div id="information">
     <ul>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/index.tpl	(revision 18900)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/index.tpl	(revision 19663)
@@ -74,5 +74,23 @@
             </tr>
             <tr>
-                <th colspan="3" id="layout-header">ヘッダー部</td>
+                <!-- ★☆★ ヘッダ内部ナビテーブル ☆★☆ -->
+                <th id="layout-header">ヘッダー部</th>
+                <td colspan="2" id="HeaderInternalNavi" class="ui-sortable">
+                    <!--{assign var="firstflg" value=false}-->
+                    <!--{foreach key=key item=item from=$tpl_arrBloc name="bloc_loop"}-->
+                        <!--{if $item.target_id == "HeaderInternalNavi"}-->
+                            <div class="sort<!--{if !$firstflg}--> first<!--{/if}-->">
+                                <input type="hidden" class="name" name="name_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.name}-->" />
+                                <input type="hidden" class="id" name="id_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.bloc_id}-->" />
+                                <input type="hidden" class="target-id" name="target_id_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.target_id}-->" />
+                                <input type="hidden" class="top" name="top_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="<!--{$item.bloc_row}-->" />
+                                <!--{$item.name}-->
+                                <label class="anywherecheck">(<input type="checkbox" class="anywhere" name="anywhere_<!--{$smarty.foreach.bloc_loop.iteration}-->" value="1" <!--{$item.anywhere_selected}--> />全ページ)</label> 
+                            </div>
+                            <!--{assign var="firstflg" value=true}-->
+                        <!--{/if}-->
+                    <!--{/foreach}-->
+              </td>
+              <!-- ★☆★ ヘッダ内部ナビテーブル ☆★☆ -->
             </tr>
             <tr>
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 18847)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 19663)
@@ -111,4 +111,5 @@
         $arrPageLayout['HeaderTopNavi'] = $this->lfGetNavi($arrNavi,8); //上部
         $arrPageLayout['FooterBottomNavi'] = $this->lfGetNavi($arrNavi,9); //下部
+        $arrPageLayout['HeaderInternalNavi'] = $this->lfGetNavi($arrNavi,10); //ヘッダ中
         
         
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19663)
@@ -31,5 +31,5 @@
  * デザイン管理 のページクラス.
  *
- * ターゲットID 0:未使用 1:レフトナビ 2:ライトナビ 3:イン画面上部 4:メイン画面下部  5:画面上部 6:画面下部 7:ヘッダより上 8:フッタより下 9:HEADタグ内
+ * ターゲットID 0:未使用 1:レフトナビ 2:ライトナビ 3:イン画面上部 4:メイン画面下部  5:画面上部 6:画面下部 7:ヘッダより上 8:フッタより下 9:HEADタグ内 10:ヘッダ内部
  * @package Page
  * @author LOCKON CO.,LTD.