Index: /branches/version-2_5-dev/html/test/upgrade/index.php
===================================================================
--- /branches/version-2_5-dev/html/test/upgrade/index.php	(revision 18701)
+++ /branches/version-2_5-dev/html/test/upgrade/index.php	(revision 19684)
@@ -24,5 +24,4 @@
 // {{{ requires
 require_once '../../require.php';
-require_once DATA_PATH . 'module/Services/JSON.php';
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Log.php	(revision 19684)
@@ -21,6 +21,4 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
-
-require_once DATA_PATH . 'module/Services/JSON.php';
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Json.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Json.php	(revision 18234)
+++ /branches/version-2_5-dev/data/class/pages/upgrade/helper/LC_Upgrade_Helper_Json.php	(revision 19684)
@@ -1,4 +1,3 @@
 <?php
-require_once DATA_PATH . 'module/Services/JSON.php';
 /**
  * Enter description here...
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19680)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19684)
@@ -24,5 +24,4 @@
 // {{{ requires
 require_once(CLASS_PATH . "pages/LC_Page.php");
-require_once(DATA_PATH . 'module/Services/JSON.php');
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 19684)
@@ -24,5 +24,4 @@
 // {{{ requires
 require_once CLASS_PATH . "pages/admin/LC_Page_Admin.php";
-require_once DATA_PATH . 'module/Services/JSON.php';
 require_once DATA_PATH . 'module/Request.php';
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 19684)
@@ -25,5 +25,4 @@
 // {{{ requires
 require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
-require_once(DATA_PATH . 'module/Services/JSON.php');
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 19675)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 19684)
@@ -493,5 +493,4 @@
         $productsClassCategories = $objProduct->classCategories;
 
-        require_once DATA_PATH . 'module/Services/JSON.php';
         $objJson = new Services_JSON();
         $this->tpl_javascript .= 'productsClassCategories = ' . $objJson->encode($productsClassCategories) . '; ';
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19684)
@@ -158,5 +158,4 @@
         $this->tpl_product_type = $objProduct->classCategories[$product_id]['']['']['product_type'];
 
-        require_once DATA_PATH . 'module/Services/JSON.php';
         $objJson = new Services_JSON();
         $this->tpl_javascript .= 'classCategories = ' . $objJson->encode($objProduct->classCategories[$product_id]) . ';';
@@ -483,5 +482,4 @@
             : '';
 
-        require_once DATA_PATH . 'module/Services/JSON.php';
         $this->js_lnOnload .= 'fnSetClassCategories('
             . 'document.form1, '
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 19670)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 19684)
@@ -22,4 +22,5 @@
  */
 
+require_once(DATA_PATH . "module/Services/JSON.php");
 require_once(CLASS_EX_PATH . "util_extends/GC_Utils_Ex.php");
 require_once(CLASS_EX_PATH . "util_extends/SC_Utils_Ex.php");
@@ -56,4 +57,3 @@
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Purchase_Ex.php");
 // require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Plugin_Ex.php");
-
 ?>