Index: /branches/version-2_5-dev/html/js/site.js
===================================================================
--- /branches/version-2_5-dev/html/js/site.js	(revision 19712)
+++ /branches/version-2_5-dev/html/js/site.js	(revision 19719)
@@ -363,7 +363,7 @@
 
 	if(TextArea.rows <= Min){
-		TextArea.rows=Max; button.value="小さくする"; row_tmp.value=Max;
+		TextArea.rows=Max; button.value="縮小"; row_tmp.value=Max; button.innerHTML="縮小";
 	}else{
-		TextArea.rows =Min; button.value="大きくする"; row_tmp.value=Min;
+		TextArea.rows =Min; button.value="拡大"; row_tmp.value=Min; button.innerHTML="拡大";
 	}
 }
Index: /branches/version-2_5-dev/html/user_data/packages/admin/css/admin_contents.css
===================================================================
--- /branches/version-2_5-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 19715)
+++ /branches/version-2_5-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 19719)
@@ -67,6 +67,4 @@
     vertical-align: middle;
 }
-table.form th { width: 25%; }
-table.form td { width: 75%; }
 table.form thead th { text-align: center; width: auto; }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 19719)
@@ -50,5 +50,5 @@
         $this->tpl_subno = "bloc";
         $this->tpl_mainno = "design";
-        $this->tpl_subtitle = 'ブロック編集';
+        $this->tpl_subtitle = 'ブロック設定';
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19713)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19719)
@@ -49,5 +49,5 @@
         $this->tpl_subno = "layout";
         $this->tpl_mainno = "design";
-        $this->tpl_subtitle = 'レイアウト編集';
+        $this->tpl_subtitle = 'レイアウト設定';
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrTarget = $masterData->getMasterData("mtb_target");
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/system/parameter.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/system/parameter.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/system/parameter.tpl	(revision 19719)
@@ -25,5 +25,5 @@
 <input type="hidden" name="mode" value="update" />
 <div id="basis" class="contents-main">
-  <p class="remark red fs12st">
+  <p class="remark attention">
     パラメータの値がPHP定数として設定されます。<br />
     文字列は「&quot;」で囲んで下さい。<br />
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl	(revision 19719)
@@ -26,5 +26,4 @@
 <input type="hidden" name="bloc_id" value="<!--{$bloc_id}-->" />
   <!--{* ▼ブロック設定ここから *}-->
-  <h2>ブロック設定</h2>
 
   <!--{if $arrBlocData.tpl_path != '' and $preview == on}-->
@@ -52,10 +51,10 @@
      <td colspan="2">
        <textarea name="bloc_html" rows="<!--{$text_row}-->" style="width: 100%;"><!--{$arrBlocData.tpl_data|smarty:nodefaults}--></textarea>
-			 <input type="hidden" name="html_area_row" value="<!--{$text_row}-->" />
-			 <div>
-				 <button type="button" onClick="ChangeSize(this, bloc_html, 50, 13, html_area_row)"><span><!--{if $text_row > 13}-->縮小<!--{else}-->拡大<!--{/if}--></span></button>
-			 </div>
-		 </td>
-	 </tr>
+       <input type="hidden" name="html_area_row" value="<!--{$text_row}-->" />
+       <div>
+         <button type="button" onClick="ChangeSize(this, bloc_html, 50, 13, html_area_row)">拡大</button>
+       </div>
+     </td>
+   </tr>
  </table>
   <div class="btn">
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/subnavi.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/subnavi.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/subnavi.tpl	(revision 19719)
@@ -27,7 +27,7 @@
       <li<!--{if $tpl_subno == 'layout'}--> class="on"<!--{/if}--> id="navi-design-layout"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/<!--{$smarty.const.DIR_INDEX_URL}-->?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>レイアウト設定</span></a></li>
       <li<!--{if $tpl_subno == 'main_edit'}--> class="on"<!--{/if}--> id="navi-design-main"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/main_edit.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>ページ詳細設定</span></a></li>
-      <li<!--{if $tpl_subno == 'bloc'}--> class="on"<!--{/if}--> id="navi-design-bloc"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/bloc.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>ブロック編集</span></a></li>
+      <li<!--{if $tpl_subno == 'bloc'}--> class="on"<!--{/if}--> id="navi-design-bloc"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/bloc.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>ブロック設定</span></a></li>
       <li<!--{if $tpl_subno == 'header'}--> class="on"<!--{/if}--> id="navi-design-header"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/header.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>ヘッダー/フッター設定</span></a></li>
-      <li<!--{if $tpl_subno == 'css'}--> class="on"<!--{/if}--> id="navi-design-css"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/css.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>CSS編集</span></a></li>
+      <li<!--{if $tpl_subno == 'css'}--> class="on"<!--{/if}--> id="navi-design-css"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/css.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>CSS設定</span></a></li>
       <li<!--{if $tpl_subno == 'template'}--> class="on"<!--{/if}--> id="navi-design-template"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/template.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>テンプレート設定</span></a></li>
       <li<!--{if $tpl_subno == 'up_down'}--> class="on"<!--{/if}--> id="navi-design-add"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/up_down.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_PC}-->"><span>テンプレート追加</span></a></li>
@@ -38,7 +38,7 @@
       <li<!--{if $tpl_subno == 'layout'}--> class="on"<!--{/if}--> id="navi-design-layout"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/<!--{$smarty.const.DIR_INDEX_URL}-->?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>レイアウト設定</span></a></li>
       <li<!--{if $tpl_subno == 'main_edit'}--> class="on"<!--{/if}--> id="navi-design-main"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/main_edit.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>ページ詳細設定</span></a></li>
-      <li<!--{if $tpl_subno == 'bloc'}--> class="on"<!--{/if}--> id="navi-design-bloc"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/bloc.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>ブロック編集</span></a></li>
+      <li<!--{if $tpl_subno == 'bloc'}--> class="on"<!--{/if}--> id="navi-design-bloc"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/bloc.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>ブロック設定</span></a></li>
       <li<!--{if $tpl_subno == 'header'}--> class="on"<!--{/if}--> id="navi-design-header"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/header.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>ヘッダー/フッター設定</span></a></li>
-      <li<!--{if $tpl_subno == 'css'}--> class="on"<!--{/if}--> id="navi-design-css"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/css.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>CSS編集</span></a></li>
+      <li<!--{if $tpl_subno == 'css'}--> class="on"<!--{/if}--> id="navi-design-css"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/css.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>CSS設定</span></a></li>
       <li<!--{if $tpl_subno == 'template'}--> class="on"<!--{/if}--> id="navi-design-template"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/template.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>テンプレート設定</span></a></li>
       <li<!--{if $tpl_subno == 'up_down'}--> class="on"<!--{/if}--> id="navi-design-add"><a href="<!--{$smarty.const.URL_DIR}-->admin/design/up_down.php?device_type_id=<!--{$smarty.const.DEVICE_TYPE_MOBILE}-->"><span>テンプレート追加</span></a></li>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/css.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/css.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/css.tpl	(revision 19719)
@@ -41,6 +41,7 @@
       <td>
         <textarea name="css" cols=90 rows=<!--{$area_row}--> align="left" wrap=off style="width: 650px;"><!--{$css_data}--></textarea>
+        <input type="hidden" name="area_row" value="<!--{$area_row}-->" />
         <div class="btn">
-          <button type="button" onClick="ChangeSize(this, css, 50, 30, area_row)"><span><!--{if $header_row > 13}-->縮小<!--{else}-->拡大<!--{/if}--></span></button>
+          <button type="button" onClick="ChangeSize(this, css, 50, 30, area_row)">拡大</button>
         </div>
       </td>
@@ -85,12 +86,2 @@
 </div>
 </form>
-
-<script type="text/javascript">
-  function ChangeSize(button, TextArea, Max, Min, row_tmp){
-    if(TextArea.rows <= Min){
-      TextArea.rows=Max; button.value="小さくする"; row_tmp.value=Max;
-    }else{
-      TextArea.rows =Min; button.value="大きくする"; row_tmp.value=Min;
-    }
-  }
-</script>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/header.tpl	(revision 19719)
@@ -87,13 +87,4 @@
 
 <script type="text/javascript">
-  /* テキストエリアの大きさを変更する */
-  function ChangeSize(button, TextArea, Max, Min, row_tmp){
-    if(TextArea.rows <= Min){
-      TextArea.rows=Max; button.value="小さくする"; row_tmp.value=Max;
-    }else{
-      TextArea.rows =Min; button.value="大きくする"; row_tmp.value=Min;
-    }
-  }
-  
   /* ブラウザの種類をセットする */
   function lfnSetBrowser(form, item){
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl	(revision 19719)
@@ -93,11 +93,8 @@
     <textarea name="tpl_data" rows=<!--{$text_row}--> style="width: 100%;"><!--{$arrPageData.tpl_data|escape|smarty:nodefaults}--></textarea>
     <input type="hidden" name="html_area_row" value="<!--{$text_row}-->" />
+    <button type="button" onClick="ChangeSize(this, tpl_data, 50, 13, html_area_row)"><span><!--{if $text_row > 13}-->縮小<!--{else}-->拡大<!--{/if}--></span></button>
   </div>
       </td>
     </tr>
-  </table>
-  <div class="btn">
-    <button type="button" onClick="ChangeSize(this, tpl_data, 50, 13, html_area_row)"><span><!--{if $text_row > 13}-->縮小<!--{else}-->拡大<!--{/if}--></span></button>
-  </div>
   </table>
 
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/order/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/order/index.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/order/index.tpl	(revision 19719)
@@ -77,16 +77,13 @@
     }
     
-    function fnBoxChecked(check){
-        var fm = document.form1;
-        var max = fm["pdf_order_id[]"].length;
-        if (max) {
-            for (var i=0; i<max; i++) {
-                fm["pdf_order_id[]"][i].checked = check;
+    $(function() {
+        $('#pdf_check').change(function() {
+            if ($(this).attr('checked')) {
+                $('input[name=pdf_order_id[]]').attr('checked', true);
+            } else {
+                $('input[name=pdf_order_id[]]').attr('checked', false);
             }
-        } else {
-            fm["pdf_order_id[]"].checked = check;
-        }
-    }
-    
+        });
+    });
 //-->
 </script>
@@ -326,9 +323,5 @@
             <th>全商品発送日</th>
             <th>対応状況</th>
-            <th>
-                帳票<br />
-                <a href="javascript:;" onclick="fnBoxChecked(true);">全て選択</a>
-                <a href="javascript:;" onclick="fnBoxChecked(false);">全て解除</a>
-            </th>
+            <th><label for="pdf_check">帳票</label> <input type="checkbox" name="pdf_check" id="pdf_check" /></th>
             <th>編集</th>
             <th>メール</th>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/order/status.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/order/status.tpl	(revision 19715)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/order/status.tpl	(revision 19719)
@@ -22,4 +22,16 @@
  */
 *}-->
+<script type="text/javascript">//<![CDATA[
+    $(function() {
+        $('#move_check').change(function() {
+            if ($(this).attr('checked')) {
+                $('input[name=move[]]').attr('checked', true);
+            } else {
+                $('input[name=move[]]').attr('checked', false);
+            }
+        });
+    });
+//]]>
+</script>
 <form name="form1" id="form1" method="POST" action="?" >
 <input type="hidden" name="mode" value="" />
@@ -31,5 +43,6 @@
     <div class="btn">
     <!--{foreach key=key item=item from=$arrORDERSTATUS}-->
-      <a
+      <button
+        type="button"
         style="padding-right: 1em;"
         <!--{if $key != $SelectedStatus}-->
@@ -37,5 +50,5 @@
           onclick="document.form1.search_pageno.value='1'; fnModeSubmit('search','status','<!--{$key}-->' );"
         <!--{/if}-->
-      ><!--{$item}--></a>
+      ><!--{$item}--></button>
     <!--{/foreach}-->
     </div>
@@ -43,5 +56,5 @@
   <!--{* 登録テーブルここから *}-->
   <!--{if $tpl_linemax > 0 }-->
-  <div>
+  <div class="btn">
     <select name="change_status">
       <option value="" selected="selected" style="<!--{$Errormes|sfGetErrorColor}-->" >選択してください</option>
@@ -57,17 +70,12 @@
   <span class="attention">※ <!--{$arrORDERSTATUS[$smarty.const.ORDER_CANCEL]}-->もしくは、削除に変更時には、在庫数を手動で戻してください。</span><br />
 
-  <p>
+  <p class="remark">
     <!--{$tpl_linemax}-->件が該当しました。
     <!--{$tpl_strnavi}-->
   </p>
 
-  <div class="btn">
-    <button type="button" onclick="fnBoxChecked(true);"><span>全て選択</span></button>
-    <button type="button" onclick="fnBoxChecked(false);"><span>全て解除</span></button>
-  </div>
-
   <table class="list center">
     <tr>
-      <th>選択</th>
+      <th><label for="move_check">選択</label> <input type="checkbox" name="move_check" id="move_check" /></th>
       <th>対応状況</th>
       <th>注文番号</th>
@@ -76,5 +84,6 @@
       <th>支払方法</th>
       <th>購入金額（円）</th>
-      <th>入金日<br>発送日</th>
+      <th>入金日</th>
+      <th>発送日</th>
     </tr>
     <!--{section name=cnt loop=$arrStatus}-->
@@ -89,15 +98,10 @@
       <td><!--{$arrPayment[$payment_id]|escape}--></td>
       <td class="right"><!--{$arrStatus[cnt].total|number_format}--></td>
-      <td><!--{if $arrStatus[cnt].payment_date != ""}--><!--{$arrStatus[cnt].payment_date|sfDispDBDate:false}--><!--{else}-->未入金<!--{/if}--><br>
-      <!--{if $arrStatus[cnt].status eq 5}--><!--{$arrStatus[cnt].commit_date|sfDispDBDate:false}--><!--{else}-->未発送<!--{/if}--></td>
+      <td><!--{if $arrStatus[cnt].payment_date != ""}--><!--{$arrStatus[cnt].payment_date|sfDispDBDate:false}--><!--{else}-->未入金<!--{/if}--></td>
+      <td><!--{if $arrStatus[cnt].status eq 5}--><!--{$arrStatus[cnt].commit_date|sfDispDBDate:false}--><!--{else}-->未発送<!--{/if}--></td>
     </tr>
     <!--{/section}-->
   </table>
   <input type="hidden" name="move[]" value="" />
-
-  <div class="btn">
-    <button type="button" onclick="fnBoxChecked(true);"><span>全て選択</span></button>
-    <button type="button" onclick="fnBoxChecked(false);"><span>全て解除</span></button>
-  </div>
 
   <p><!--{$tpl_strnavi}--></p>
@@ -156,13 +160,4 @@
   }
 
-  function fnBoxChecked(check){
-    var count;
-    var fm = document.form1;
-    var max = fm["move[]"].length;
-    for(count=0; count<max; count++){
-      fm["move[]"][count].checked = check;
-    }
-  }
-
 //-->
 </script>